import { trigger, style, transition, animate, query } from '@angular/animations';

export const removeAnimation = trigger('remove', [
  transition(':enter, * => 0, * => -1', []),
  transition('one => two', [
    // each time the binding value changes
    query(':leave', [style({ opacity: 0 })]),
    query(':leave', [animate('0.2s', style({ flex: 0.00001, opacity: 0 }))]),
  ]),
]);
